cURL
curl --request POST \ --url https://sigmacdd.sabipay.com/kyc/nin \ --header 'Content-Type: application/json' \ --header 'apiKey: <api-key>' \ --header 'apiSecret: <api-key>' \ --data ' { "idNumber": "98864126516" } '
{ "message": "NIN lookup successful", "data": { "idNumber": "98864126516", "firstName": "EDDY", "lastName": "UDOM", "middleName": "GODWIN", "dateOfBirth": "2023-08-19", "gender": "male", "phoneNumber": "08124698785", "address": "PLOT 20 BLOCK I AKWA IMA ESTATE, IKOT AKPAN ABIA. UYO", "photo": "<base64-encoded-image>", "nationality": "Nigeria", "title": null, "maritalStatus": null, "height": null, "employmentStatus": null, "educationLevel": null, "profession": null, "religion": null, "spokenLanguage": null, "virtualNin": null, "preferredFirstName": null, "preferredMiddleName": null, "preferredSurname": null, "birthCountry": "Not Available", "birthState": null, "birthLga": null, "residenceState": null, "residenceLga": null, "residenceTown": null, "residenceStatus": null, "originState": null, "originLga": null, "originPlace": null, "nokFirstName": "BLESSING", "nokMiddleName": "ONYIYECHI", "nokSurname": null, "nokAddress": "PLOT 20 BLOCK I AKWA IMA ESTATE, IKOT AKPAN ABIA. UYO", "nokLga": "Uyo", "nokState": null, "nokTown": "UYO", "nokPostcode": null } }
POST api/v1/kyc/nin
Documentation IndexFetch the complete documentation index at: https://sigma-docs.pastel.africa/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://sigma-docs.pastel.africa/llms.txt
Use this file to discover all available pages before exploring further.
The National Identification Number (NIN) to look up
"98864126516"
NIN lookup successful
Response message
Response data